// This miniscule language consists of a single identifier, 
// no leading whitespace, and a newline

class MiniParser extends Parser;

startRule
    :   ident:NAME
        { System.out.println("\n\nMiniscule: <<" + ident.getText() + ">>\n"); }
    ;

class MiniLexer extends Lexer;

// one-or-more letters followed by a newline
NAME:   ( 'a'..'z'|'A'..'Z' ) + NEWLINE
    ;

// either the DOS or UNIX versions of "newline"
NEWLINE
    :   '\r' '\n'   // DOS
    |   '\n'        // UNIX
    ;
